package org.ow2.wildcat.examples.sensors;

import java.util.Random;

import org.ow2.wildcat.hierarchy.attribute.POJOAttribute;


public class RNGSensor extends POJOAttribute {
	
	public RNGSensor(Object value) {
		super(value);
	}

	protected Random random = new Random(System.currentTimeMillis());

	@Override
	public Object getValue() {
		this.setValue(this.random.nextInt());
		return this.value;
	}
}